%define name		libPropList            
%define version		0.10.1 
%define release		2 
%define group		Development/Libraries 

%define prefix          %{_prefix}
%define exec_prefix     %{prefix}
%define libdir          %{prefix}/lib
%define includedir	%{prefix}/include

# ==============================================================================

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	library for reading/writing GNUstep-style defaults databases
Group:		%{group}
Copyright:	LGPL
URL:		http://www.windowmaker.org/
Source:		http://www.windowmaker.org/pub/beta/srcs/libPropList-0.10.1.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The libPropList library, hereafter referred to as PL, uses an opaque
data type to represent a tree structure made of strings, data blocks,
arrays and dictionaries (key-value pair lists). This structure can be
manipulated, written out to and read in from a file, and synchronized
with the contents of a file. The purpose of PL is to closely mimick the
behaviour of the property lists used in GNUstep/OPENSTEP (there formed
with the NSString, NSData, NSArray and NSDictionary classes) and to be
compatible with it. PL enables programs that use configuration or
preference files to make these compatible with GNUstep/OPENSTEP's user
defaults handling mechanism, without needing to use Objective-C or
GNUstep/OPENSTEP themselves.

This package contains libraries and header files for developing
programs which use libPropList.

%ifarch ia64
  %define stdlib lib/ia64l32
  %define stdlib64 lib/ia64l64
  %define liblink ../../..
  %define PKG64 %{name}-%{version}-ia64l64
  %define DIRS . %{_builddir}/%{PKG64}/%{name}-%{version}
  %define DEFCCIA cc
  %define DEFCC %{DEFCCIA}
%else
  %define stdlib lib
  %define liblink ../..
  %define DIRS .
  %define DEFCC cc
%endif

%prep
%setup -q


%build
# Use the default compiler for this platform - gcc otherwise
if [[ -z "$CC" ]]
then
    if test "X`type %{DEFCC} 2>/dev/null`" != 'X'; then
       export CC=%{DEFCC}
    else 
       export CC=gcc
    fi
fi
if [[ "$CC" != "gcc" ]]
then
%ifarch ia64
       export CC64="$CC -q64"
%endif
       export RPM_OPT_FLAGS=`echo $RPM_OPT_FLAGS | sed 's:-fsigned-char::'`
fi
export CFLAGS=$RPM_OPT_FLAGS

libtoolize --force
aclocal
autoconf
CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
  --prefix=%{prefix} --exec-prefix=%{exec_prefix}
make


%install
make install \
  prefix=$RPM_BUILD_ROOT%{prefix} \
  exec_prefix=$RPM_BUILD_ROOT%{exec_prefix} \
  libdir=$RPM_BUILD_ROOT%{libdir} \
  includedir=$RPM_BUILD_ROOT%{includedir}

( cd $RPM_BUILD_ROOT
  mkdir -p usr/include
  cd usr/include
  ln -sf ../..%{prefix}/include/* .
  cd -

 mkdir -p usr/%{stdlib}
 cd usr/%{stdlib}
 ln -sf %{liblink}%{prefix}/lib/* .
 cd -
)

%files
%{libdir}/*
%{includedir}/*
/usr/lib/*
/usr/include/*


%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Mon Oct 22 2001 David Clissold <cliss@austin.ibm.com>
- No functional change.  Modify SPEC b/c of incompat w/ newer libtool.

* Thu Jul 26 2001 David Clissold <cliss@austin.ibm.com>
- Use IBM VAC compiler; libtoolize; add links into /usr

* Wed Jul 18 2001 Kevin Monroe <monroek@us.ibm.com>
- Initial Release

